Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.activities
Class ActivityManagerEvent

    java.lang.Object
      org.eclipse.ui.activities.ActivityManagerEvent

public final class ActivityManagerEvent
extends Object

An instance of this class describes changes to an instance of `IActivityManager`. This class does not give details as to the specifics of a change, only that the given property on the source object has changed.

This class is not intended to be extended by clients.

Since:
  3.0
See Also:
  `IActivityManagerListener.activityManagerChanged(ActivityManagerEvent)`

Constructor Summary
`ActivityManagerEvent(IActivityManager activityManager, boolean definedActivityIdsChanged, boolean definedCategoryIdsChanged, boolean enabledActivityIdsChanged, Set previouslyDefinedActivityIds, Set previouslyDefinedCategoryIds, Set previouslyEnabledActivityIds)` Creates a new instance of this class.

Method Summary
`IActivityManager` | `getActivityManager()` Returns the instance of the interface that changed.
`Set` | `getPreviouslyDefinedActivityIds()` Returns the activity identifiers that were previously defined.
`Set` | `getPreviouslyDefinedCategoryIds()` Returns the category identifiers that were previously defined.
`Set` | `getPreviouslyEnabledActivityIds()` Returns the activity identifiers that were previously enabled.
`boolean` | `haveDefinedActivityIdsChanged()` Returns whether or not the definedActivityIds property changed.
`boolean` | `haveDefinedCategoryIdsChanged()` Returns whether or not the definedCategoryIds property changed.
`boolean` | `haveEnabledActivityIdsChanged()` Returns whether or not the enabledActivityIds property changed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActivityManagerEvent

    public ActivityManagerEvent(IActivityManager activityManager,
                                boolean definedActivityIdsChanged,
                                boolean definedCategoryIdsChanged,
                                boolean enabledActivityIdsChanged,
                                Set previouslyDefinedActivityIds,
                                Set previouslyDefinedCategoryIds,
                                Set previouslyEnabledActivityIds)

  Creates a new instance of this class.

Parameters:
  `activityManager` - the instance of the interface that changed.
  `definedActivityIdsChanged` - `true`, iff the definedActivityIds property changed.
  `definedCategoryIdsChanged` - `true`, iff the definedCategoryIds property changed.
  `enabledActivityIdsChanged` - `true`, iff the enabledActivityIds property changed.
  `previouslyDefinedActivityIds` - the set of identifiers to previously defined activities. This set may be empty. If this set is not empty, it must only contain instances of `String`. This set must be `null` if definedActivityIdsChanged is `false` and must not be null if definedActivityIdsChanged is `true`.
  `previouslyDefinedCategoryIds` - the set of identifiers to previously defined category. This set may be empty. If this set is not empty, it must only contain instances of `String`. This set must be `null` if definedCategoryIdsChanged is `false` and must not be null if definedCategoryIdsChanged is `true`.
  `previouslyEnabledActivityIds` - the set of identifiers to previously enabled activities. This set may be empty. If this set is not empty, it must only contain instances of `String`. This set must be `null` if enabledActivityIdsChanged is `false` and must not be null if enabledActivityIdsChanged is `true`.

Method Detail

### getActivityManager

    public IActivityManager getActivityManager()

  Returns the instance of the interface that changed.

  Returns:
    the instance of the interface that changed. Guaranteed not to be `null`.

### getPreviouslyDefinedActivityIds

    public final Set getPreviouslyDefinedActivityIds()

  Returns the activity identifiers that were previously defined.

  Returns:
    The set of defined activity identifiers before the changed; may be empty, but never `null`. This set will only contain strings.

### getPreviouslyDefinedCategoryIds

    public final Set getPreviouslyDefinedCategoryIds()

  Returns the category identifiers that were previously defined.

  Returns:
    The set of defined category identifiers before the changed; may be empty, but never `null`. This set will only contain strings.

### getPreviouslyEnabledActivityIds

    public final Set getPreviouslyEnabledActivityIds()

  Returns the activity identifiers that were previously enabled.

  Returns:
    The set of enabled activity identifiers before the changed; may be empty, but never `null`. This set will only contain strings.

### haveDefinedActivityIdsChanged

    public boolean haveDefinedActivityIdsChanged()

  Returns whether or not the definedActivityIds property changed.

  Returns:
    `true`, iff the definedActivityIds property changed.

### haveDefinedCategoryIdsChanged

    public boolean haveDefinedCategoryIdsChanged()

  Returns whether or not the definedCategoryIds property changed.

  Returns:
    `true`, iff the definedCategoryIds property changed.

### haveEnabledActivityIdsChanged

    public boolean haveEnabledActivityIdsChanged()

  Returns whether or not the enabledActivityIds property changed.

  Returns:
    `true`, iff the enabledActivityIds property changed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.